///////////////////////////////////////////////////////////////////////
/////// FICHIER		: GB_128x64 LCD Driver_v10.h
/////// DESCRIPTION	: Driver cran LCD 128x64 pixels - version 1.0
/////// PCB			: PIC 18f2580
/////// AUTEUR		: G. B
/////// DATE		: 07/2008
///////
///////		Modifications depuis dernire version :
///////
///////		- Cration du programme
///////
///////////////////////////////////////////////////////////////////////

void LCD_FlipEnable();
void LCD_SendData(char Data, boolean DI);
short LCD_Busy();
void LCD_DisplayOnOff(char on);
void LCD_SetYAdress(char y);
void LCD_SetPage(char page);
void LCD_DisplayStartLine(char y);
void LCD_Write(char Data);
void LCD_ResetLCD();
void LCD_SelectSide(char sides);
		// Slectionne la moiti gauche ou droite de l'cran
		// Sides = LEFT_SIDE, RIGHT_SIDE, BOTH_SIDES, NO_SIDE
void LCD_GotoLineXY(char X, char Y);
		// Dplace le curseur en X, Y (0<= X < 128, 0 <= Y < 8)
		// pour y crire un byte (8 points en vertical) avec la fonction LCD_Write()
void LCD_GotoCharXY(char X, char Y);
		// Dplace le curseur en X, Y (0<= X < 20, 0 <= Y < 8)
		// pour y crire un charactre de 6x8 points avec la fonction LCD_WriteChar()
void LCD_Cls();
void LCD_Init();							//Initialise l cran
void LCD_WriteChar(char CodeAscii);			// Ecrit un caractre, 20h < CodeAscii < 7Fh
void LCD_WriteString(char *Str);			// Ecrit une chaine de caractres
void LCD_WriteBargraph(char Y, char percentage);

/////////////////////////////////////////////////////////////
///////////////////  Entrees / Sorties  /////////////////////
/////////////////////////////////////////////////////////////

// #ifndef LCD_DATA, LCD_ENABLE, LCD_RW, LCD_DI, LCD_RESET, LCD_CS1, LCD_CS2
// doivent tre dfinis dans le programme appelant
// et correspondent aux pattes du micro affectes  ces signaux.
// Sinon, dfinit le pinout ici, mais doit tre modifi avant compilation

#ifndef LCD_outputDATA
	#define	LCD_outputDATA(x)	output_b(x)
#endif

#ifndef LCD_inputDATA
	#define	LCD_inputDATA(x)	input_b(x)
#endif

#ifndef LCD_Set_Tris
	#define LCD_Set_Tris(x)		Set_Tris_B(x)
#endif

#ifndef LCD_ENABLE
	#define	LCD_ENABLE	PIN_B0
#endif

#ifndef LCD_RW
	#define	LCD_RW		PIN_B1
#endif

#ifndef LCD_DI
	#define	LCD_DI		PIN_B2
#endif

#ifndef LCD_RESET
	#define	LCD_RESET	PIN_B3
#endif

#ifndef LCD_CS1
	#define	LCD_CS1		PIN_B4
#endif

#ifndef LCD_CS2
	#define	LCD_CS2		PIN_B5
#endif

#define LEFT_SIDE	0b01
#define RIGHT_SIDE	0b10
#define BOTH_SIDES	0b11
#define NO_SIDE		0b00
